- entityDefinitions:
  - IDM_Method_Binding__is__PUMB: '{ab399237-6039-4c78-b49c-e8ca0dc3d0a2}'
  - IDMB_Method_Binding__is__PUMB: '{c2759919-86d8-41f4-b1e5-a168d4a5e1e5}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - evaluateBooleanExpressionMethod: '&IDM_Method_Binding__is__PUMB;'
    forClassId: '&IDC_MethodBinding;'
    verb: 'is'
    name: 'PUMB'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    returnsAttributeId: '&IDA_MethodIsOfTypeSpecified;'
    source: '&IDMB_Method_Binding__get__Parent_Class;'
    operator: '&IDI_RelationalOperator_ExactMatch;'
    target: '&IDC_ExecuteUpdateMethodBinding;'
    
  - returnAttributeMethodBinding: '&IDMB_Method_Binding__is__PUMB;'
    executesMethod: '&IDM_Method_Binding__is__PUMB;'
